import { createRouter, createWebHistory } from "vue-router";
// import Home from "../views/Home.vue";
import uProfil from "../views/uProfil.vue";
import aProfil from "../views/aProfil.vue";
import Login from "../views/Login.vue";
import UserIndex from "../views/UserIndex.vue";
import AdminIndex from "../views/AdminIndex.vue";
import KaryawanInsert from "../views/KaryawanInsert.vue";
import DepartemenIndex from "../views/DepartemenIndex.vue";
import KaryawanEdit from "../views/KaryawanEdit.vue";
import KaryawanDetail from "../views/KaryawanDetail.vue";
import AdminInsert from "../views/AdminInsert.vue";
import AdminEdit from "../views/AdminEdit.vue";
import KpiIndex from "../views/KpiIndex.vue";
import KpiDetail from "../views/KpiDetail.vue";
import KpiCreate from "../views/KpiCreate.vue";
import KpiManagerDetail from "../views/KpiManagerDetail.vue";
import Test from "../views/Test.vue";
import ManagerKpiIndex from "../views/ManagerKpiIndex.vue";
import ManagerKaryawanIndex from "../views/ManagerKaryawanIndex.vue";
import ManagerKaryawanDetail from "../views/ManagerKaryawanDetail.vue";
import ResponseIndex from "../views/ResponseIndex.vue";
import ResponseDetail from "../views/ResponseDetail.vue";
import ResponseEmployee from "../views/ResponseEmployee.vue";

const routes = [
  {
    path: "/",
    name: "Home",
    component: Login,
  },
  {
    path: "/login",
    name: "Login",
    component: Login,
  },
  {
    path: "/uProfil",
    name: "uProfil",
    component: uProfil,
  },
  {
    path: "/aProfil",
    name: "aProfil",
    component: aProfil,
  },
  {
    path: "/user",
    name: "User",
    component: UserIndex,
  },
  {
    path: "/admin",
    name: "Admin",
    component: AdminIndex,
  },
  {
    path: "/user/insert",
    name: "KaryawanInsert",
    component: KaryawanInsert,
  },
  {
    path: "/departemen",
    name: "Departemen",
    component: DepartemenIndex,
  },
  {
    path: "/user/edit/:id",
    name: "KaryawanEdit",
    component: KaryawanEdit,
  },
  {
    path: "/user/:id",
    name: "KaryawanDetail",
    component: KaryawanDetail,
  },
  {
    path: "/admin/insert",
    name: "AdminInsert",
    component: AdminInsert,
  },
  {
    path: "/admin/edit/:id",
    name: "AdminEdit",
    component: AdminEdit,
  },
  {
    path: "/kpi",
    name: "kpiIndex",
    component: KpiIndex,
  },
  {
    path: "/kpi/:id",
    name: "KpiDetail",
    component: KpiDetail,
  },
  {
    path: "/kpi/:kpiId/responses",
    name: "KpiResponses",
    component: ResponseIndex,
    props: { isManager: false }
  },
  {
    path: "/kpi/:kpiId/responses/:responseId",
    name: "ResponseEmployee",
    component: ResponseEmployee,
  },
  {
    path: "/manager/kpi/create",
    name: "KpiCreate",
    component: KpiCreate,
  },
  {
    path: "/manager/kpi/:id",
    name: "KpiManagerDetail",
    component: KpiManagerDetail,
  },
  {
    path: "/manager/kpi",
    name: "ManagerkpiIndex",
    component: ManagerKpiIndex,
  },
  {
    path: "/manager/employees",
    name: "ManagerkaryawanIndex",
    component: ManagerKaryawanIndex,
  },
  {
    path: "/manager/employees/:id",
    name: "ManagerKaryawanDetail",
    component: ManagerKaryawanDetail,
  },
  {
    path: "/manager/kpi/:kpiId/employees/:empId/responses",
    name: "ResponseIndex",
    component: ResponseIndex,
    props: { isManager: true }
  },
  {
    path: "/manager/kpi/:kpiId/employees/:empId/responses/:responseId",
    name: "ResponseDetail",
    component: ResponseDetail
  },
  {
    path: "/test",
    name: "test",
    component: Test,
  },
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
